declare enum ContentFilter {
    HIGH = "high",
    MEDIUM = "medium",
    LOW = "low",
    OFF = "off"
}
declare enum Theme {
    LIGHT = "light",
    DARK = "dark",
    AUTO = "auto"
}
interface TenorImage {
    id: string;
    tenorUrl: string;
    shortTenorUrl: string;
    description: string;
    createdAt: Date;
    tags: string[];
    url: string;
    height: number;
    width: number;
    preview: TenorImagePreview;
    img: {
        id: string;
        title: string;
        media_formats: {
            [key: string]: {
                url: string;
                dims: [number, number];
                duration: number;
                preview: string;
                size: number;
            };
        };
        created: number;
        content_description: string;
        content_description_source: string;
        itemurl: string;
        url: string;
        tags: string[];
        hasaudio: boolean;
    };
}
interface TenorImagePreview {
    url: string;
    height: number;
    width: number;
}

interface GifPickerReactProps {
    tenorApiKey: string;
    onGifClick?: (gif: TenorImage) => void;
    autoFocusSearch?: boolean;
    contentFilter?: ContentFilter;
    initialSearchTerm?: string;
    clientKey?: string;
    country?: string;
    locale?: string;
    width?: number | string;
    height?: number | string;
    categoryHeight?: number | string;
    theme?: Theme;
    searchParams?: any;
}

interface GifPickerProps extends GifPickerReactProps {
}
declare function GifPicker(props: GifPickerProps): JSX.Element;

export { ContentFilter, type GifPickerProps, type TenorImage, Theme, GifPicker as default };
